# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class StructuredPostalAddress.MailClass

    java.lang.Object
      com.google.gdata.data.extensions.StructuredPostalAddress.MailClass

Enclosing class:
  StructuredPostalAddress

    public static final class StructuredPostalAddress.MailClass

extends java.lang.Object

The mail class.

Field Summary
`static java.lang.String` `BOTH` Both structured postal address.
`static java.lang.String` `LETTERS` Letters structured postal address.
`static java.lang.String` `NEITHER` Neither structured postal address.
`static java.lang.String` `PARCELS` Parcels structured postal address.

Constructor Summary
`StructuredPostalAddress.MailClass()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTH

    public static final java.lang.String BOTH

  Both structured postal address.

  See Also:
    Constant Field Values

### LETTERS

    public static final java.lang.String LETTERS

  Letters structured postal address.

  See Also:
    Constant Field Values

### NEITHER

    public static final java.lang.String NEITHER

  Neither structured postal address.

  See Also:
    Constant Field Values

### PARCELS

    public static final java.lang.String PARCELS

  Parcels structured postal address.

  See Also:
    Constant Field Values

Constructor Detail

### StructuredPostalAddress.MailClass

    public StructuredPostalAddress.MailClass()